import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeSegmentedComponent from "./src/segmented.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeSegmented = Object.assign({}, VxeSegmentedComponent, {
  install(app) {
    app.component(VxeSegmentedComponent.name, VxeSegmentedComponent);
  }
});
dynamicApp.use(VxeSegmented);
VxeUI.component(VxeSegmentedComponent);
const Segmented = VxeSegmented;
export {
  Segmented,
  VxeSegmented,
  VxeSegmented as default
};
